import { SetupContext } from '@vue/composition-api';
import { CreateElement } from 'vue';
import { CheckboxGroupValue, CheckboxOptionObj } from '../../checkbox';
import { PrimaryTableCol, TdPrimaryTableProps } from '../type';
export declare function getColumnKeys(columns: PrimaryTableCol[], keys?: Set<string>): Set<string>;
export default function useColumnController(props: TdPrimaryTableProps, context: SetupContext): {
    tDisplayColumns: import("@vue/composition-api").Ref<CheckboxGroupValue>;
    columnCheckboxKeys: import("@vue/composition-api").Ref<(string | number)[]>;
    checkboxOptions: import("@vue/composition-api").ComputedRef<CheckboxOptionObj[]>;
    renderColumnController: (h: CreateElement) => JSX.Element;
};
